Bug 520341 - ENHANCEMENT: Centering Backgrounds on Dual Screen Configurations
Summary: ENHANCEMENT: Centering Backgrounds on Dual Screen Configurations
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: desktop-backgrounds
Version: 11
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: David Zeuthen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-30 23:11 UTC by David Le Sage
Modified: 2013-03-06 03:59 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-06-28 14:24:04 UTC


Attachments (Terms of Use)

Description David Le Sage 2009-08-30 23:11:43 UTC
Description of problem:

(Firstly, not sure if this should be logged against "desktop-backgrounds" but Bugzilla did not have an entry for the "gnome-appearance-properties" configuration applet... Please alter if appropriate.)

The user has a dual-screen set up.  The screens are NOT set (via System-Preferences-Display) to be mirrored.  Rather, the single GNOME Desktop spans the two screens.


The user has a wallpaper they wish to use but the only "Style" options in "System-Appearance-Wallpaper" (gnome-appearance-properties applet) are Fill Screen, Scaled, Centred, Zoom and Tiled.  "Fill Screen" distorts this image, (due to its dimensions) and "Centred" and "Scaled" both centre the image across the two monitors.


User would like an additional option to centre the image on BOTH monitors. In other words, the same image appears in the centre of each screen, not centred spanning across dual screens.


This functionality is desirable now that dual screen functionality is more readily configurable in Fedora 11 and above.



Version-Release number of selected component (if applicable):
Fedora 11.

How reproducible:
Every time.  Functionality is missing.

Steps to Reproduce:
1. Install Fedora 11 on a dual-screen system.
2. Configure the dual screen system so that the GNOME desktop spans across the dual screens. (In Preferences-Display, make sure the Mirror Screens option is NOT ticked.)
3. Install some wallpapers.
4. Launch "System-Preferences-Appearance" (or gnome-appearance-properties from BASH) and go to Wallpapers tab.  
5. Under the "Style" option, there is no way to add a centred copy of the same Wallpaper on EACH of the dual screens.  It can only be centred by spanning across the dual screens. None of these options provide a desirable result for images of certain resolutions/dimensions.
  
Actual results:
Functionality is lacking.

Expected results:
Need a way to centre an image on each screen, independent of the fact that the dekstop itself is not mirrored (ie, the GNOME Desktop is SPANNING dual screens but wallpapers need to be configured independently of this so that they can still display centred on each screen as if the screens were just mirrored.)

Additional info:

Comment 1 Maciej Żenczykowski 2010-02-04 18:35:55 UTC
Please also see bug 556369 which is basically a request for this bug not to be fixed, or rather for the apparent fix for this bug to be rolled back or something ;-)

This needs a little more thought on implementation to work well with existing multi-non-equal-size display setups...

[side note: which app is actually responsible for displaying the background? which component should this be against?]

Comment 2 Bug Zapper 2010-04-28 10:05:05 UTC
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 3 Bug Zapper 2010-06-28 14:24:04 UTC
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.